<?php



$tdatatb_margemlucro = array();
$tdatatb_margemlucro[".searchableFields"] = array();
$tdatatb_margemlucro[".ShortName"] = "tb_margemlucro";
$tdatatb_margemlucro[".OwnerID"] = "";
$tdatatb_margemlucro[".OriginalTable"] = "tb_margemlucro";


$tdatatb_margemlucro[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_margemlucro[".originalPagesByType"] = $tdatatb_margemlucro[".pagesByType"];
$tdatatb_margemlucro[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_margemlucro[".originalPages"] = $tdatatb_margemlucro[".pages"];
$tdatatb_margemlucro[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_margemlucro[".originalDefaultPages"] = $tdatatb_margemlucro[".defaultPages"];

//	field labels
$fieldLabelstb_margemlucro = array();
$fieldToolTipstb_margemlucro = array();
$pageTitlestb_margemlucro = array();
$placeHolderstb_margemlucro = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_margemlucro["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_margemlucro["Portuguese(Brazil)"] = array();
	$placeHolderstb_margemlucro["Portuguese(Brazil)"] = array();
	$pageTitlestb_margemlucro["Portuguese(Brazil)"] = array();
	$fieldLabelstb_margemlucro["Portuguese(Brazil)"]["mkpID"] = "Mkp ID";
	$fieldToolTipstb_margemlucro["Portuguese(Brazil)"]["mkpID"] = "";
	$placeHolderstb_margemlucro["Portuguese(Brazil)"]["mkpID"] = "";
	$fieldLabelstb_margemlucro["Portuguese(Brazil)"]["Mlucro"] = "Mlucro";
	$fieldToolTipstb_margemlucro["Portuguese(Brazil)"]["Mlucro"] = "";
	$placeHolderstb_margemlucro["Portuguese(Brazil)"]["Mlucro"] = "";
	$fieldLabelstb_margemlucro["Portuguese(Brazil)"]["abilitar"] = "Abilitar";
	$fieldToolTipstb_margemlucro["Portuguese(Brazil)"]["abilitar"] = "";
	$placeHolderstb_margemlucro["Portuguese(Brazil)"]["abilitar"] = "";
	if (count($fieldToolTipstb_margemlucro["Portuguese(Brazil)"]))
		$tdatatb_margemlucro[".isUseToolTips"] = true;
}


	$tdatatb_margemlucro[".NCSearch"] = true;


	$tdatatb_margemlucro[".scrollGridBody"] = true;

$tdatatb_margemlucro[".shortTableName"] = "tb_margemlucro";
$tdatatb_margemlucro[".nSecOptions"] = 0;

$tdatatb_margemlucro[".mainTableOwnerID"] = "";
$tdatatb_margemlucro[".entityType"] = 0;

$tdatatb_margemlucro[".strOriginalTableName"] = "tb_margemlucro";

	



$tdatatb_margemlucro[".showAddInPopup"] = false;

$tdatatb_margemlucro[".showEditInPopup"] = false;

$tdatatb_margemlucro[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_margemlucro[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_margemlucro[".listAjax"] = false;
//	temporary
$tdatatb_margemlucro[".listAjax"] = false;

	$tdatatb_margemlucro[".audit"] = false;

	$tdatatb_margemlucro[".locking"] = false;


$pages = $tdatatb_margemlucro[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_margemlucro[".edit"] = true;
	$tdatatb_margemlucro[".afterEditAction"] = 0;
	$tdatatb_margemlucro[".closePopupAfterEdit"] = 1;
	$tdatatb_margemlucro[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_margemlucro[".add"] = true;
$tdatatb_margemlucro[".afterAddAction"] = 1;
$tdatatb_margemlucro[".closePopupAfterAdd"] = 1;
$tdatatb_margemlucro[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_margemlucro[".list"] = true;
}



$tdatatb_margemlucro[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_margemlucro[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_margemlucro[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_margemlucro[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_margemlucro[".printFriendly"] = true;
}



$tdatatb_margemlucro[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_margemlucro[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_margemlucro[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_margemlucro[".isUseAjaxSuggest"] = true;

$tdatatb_margemlucro[".rowHighlite"] = true;





$tdatatb_margemlucro[".ajaxCodeSnippetAdded"] = false;

$tdatatb_margemlucro[".buttonsAdded"] = false;

$tdatatb_margemlucro[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_margemlucro[".isUseTimeForSearch"] = false;


$tdatatb_margemlucro[".badgeColor"] = "4682B4";


$tdatatb_margemlucro[".allSearchFields"] = array();
$tdatatb_margemlucro[".filterFields"] = array();
$tdatatb_margemlucro[".requiredSearchFields"] = array();

$tdatatb_margemlucro[".googleLikeFields"] = array();
$tdatatb_margemlucro[".googleLikeFields"][] = "mkpID";
$tdatatb_margemlucro[".googleLikeFields"][] = "Mlucro";
$tdatatb_margemlucro[".googleLikeFields"][] = "abilitar";



$tdatatb_margemlucro[".tableType"] = "list";

$tdatatb_margemlucro[".printerPageOrientation"] = 0;
$tdatatb_margemlucro[".nPrinterPageScale"] = 100;

$tdatatb_margemlucro[".nPrinterSplitRecords"] = 40;

$tdatatb_margemlucro[".geocodingEnabled"] = false;










$tdatatb_margemlucro[".pageSize"] = 20;

$tdatatb_margemlucro[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_margemlucro[".strOrderBy"] = $tstrOrderBy;

$tdatatb_margemlucro[".orderindexes"] = array();

$tdatatb_margemlucro[".sqlHead"] = "SELECT mkpID,  	Mlucro,  	abilitar";
$tdatatb_margemlucro[".sqlFrom"] = "FROM tb_margemlucro";
$tdatatb_margemlucro[".sqlWhereExpr"] = "";
$tdatatb_margemlucro[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_margemlucro[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_margemlucro[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_margemlucro[".highlightSearchResults"] = true;

$tableKeystb_margemlucro = array();
$tableKeystb_margemlucro[] = "mkpID";
$tdatatb_margemlucro[".Keys"] = $tableKeystb_margemlucro;


$tdatatb_margemlucro[".hideMobileList"] = array();




//	mkpID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "mkpID";
	$fdata["GoodName"] = "mkpID";
	$fdata["ownerTable"] = "tb_margemlucro";
	$fdata["Label"] = GetFieldLabel("tb_margemlucro","mkpID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "mkpID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mkpID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_margemlucro["mkpID"] = $fdata;
		$tdatatb_margemlucro[".searchableFields"][] = "mkpID";
//	Mlucro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Mlucro";
	$fdata["GoodName"] = "Mlucro";
	$fdata["ownerTable"] = "tb_margemlucro";
	$fdata["Label"] = GetFieldLabel("tb_margemlucro","Mlucro");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Mlucro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Mlucro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_margemlucro["Mlucro"] = $fdata;
		$tdatatb_margemlucro[".searchableFields"][] = "Mlucro";
//	abilitar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "abilitar";
	$fdata["GoodName"] = "abilitar";
	$fdata["ownerTable"] = "tb_margemlucro";
	$fdata["Label"] = GetFieldLabel("tb_margemlucro","abilitar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "abilitar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "abilitar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_margemlucro["abilitar"] = $fdata;
		$tdatatb_margemlucro[".searchableFields"][] = "abilitar";


$tables_data["tb_margemlucro"]=&$tdatatb_margemlucro;
$field_labels["tb_margemlucro"] = &$fieldLabelstb_margemlucro;
$fieldToolTips["tb_margemlucro"] = &$fieldToolTipstb_margemlucro;
$placeHolders["tb_margemlucro"] = &$placeHolderstb_margemlucro;
$page_titles["tb_margemlucro"] = &$pageTitlestb_margemlucro;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_margemlucro"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_margemlucro"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_margemlucro()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "mkpID,  	Mlucro,  	abilitar";
$proto0["m_strFrom"] = "FROM tb_margemlucro";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "mkpID",
	"m_strTable" => "tb_margemlucro",
	"m_srcTableName" => "tb_margemlucro"
));

$proto6["m_sql"] = "mkpID";
$proto6["m_srcTableName"] = "tb_margemlucro";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Mlucro",
	"m_strTable" => "tb_margemlucro",
	"m_srcTableName" => "tb_margemlucro"
));

$proto8["m_sql"] = "Mlucro";
$proto8["m_srcTableName"] = "tb_margemlucro";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "abilitar",
	"m_strTable" => "tb_margemlucro",
	"m_srcTableName" => "tb_margemlucro"
));

$proto10["m_sql"] = "abilitar";
$proto10["m_srcTableName"] = "tb_margemlucro";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "tb_margemlucro";
$proto13["m_srcTableName"] = "tb_margemlucro";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "mkpID";
$proto13["m_columns"][] = "Mlucro";
$proto13["m_columns"][] = "abilitar";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "tb_margemlucro";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "tb_margemlucro";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_margemlucro";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_margemlucro = createSqlQuery_tb_margemlucro();


	
		;

			

$tdatatb_margemlucro[".sqlquery"] = $queryData_tb_margemlucro;

$tableEvents["tb_margemlucro"] = new eventsBase;
$tdatatb_margemlucro[".hasEvents"] = false;

?>